Cannoli_2.12: CLI 0.14.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    cannoli
- About
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliModule
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- InterleaveFastq
- InterleaveFastqArgs
- LongMinimap2
- LongMinimap2Args
- LongUnimap
- LongUnimapArgs
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SampleReads
- SampleReadsArgs
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndMinimap2
- SingleEndMinimap2Args
- SingleEndStar
- SingleEndStarArgs
- SingleEndUnimap
- SingleEndUnimapArgs
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Unimap
- UnimapArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli.cli

# Bowtie2Args 

###

#### class Bowtie2Args extends cannoli.Bowtie2Args with ADAMSaveAnyArgs with CramArgs with ParquetArgs

Bowtie 2 command line arguments.

Linear Supertypes
ParquetArgs, CramArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.Bowtie2Args, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Bowtie2Args
2. ParquetArgs
3. CramArgs
4. ADAMSaveAnyArgs
5. SaveArgs
6. ParquetRDDArgs
7. Bowtie2Args
8. Args4jBase
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Bowtie2Args()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var addFiles: Boolean
   Definition Classes
     Bowtie2Args
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  var asSingleFile: Boolean
   Definition Classes
     Bowtie2Args → ADAMSaveAnyArgs
7.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
8.  var bowtie2Args: String
   Definition Classes
     Bowtie2Args
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
10.  val compressionCodec: CompressionCodecName
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
11.  def configureCramFormat(sc: SparkContext): Option[Unit]

    Configure CRAM format.

    Configure CRAM format.

    sc

      Spark context to configure

    Definition Classes
      CramArgs
12.  val cramReference: String
    Definition Classes
      CramArgs
    Annotations
      @Option()
13.  var deferMerging: Boolean
    Definition Classes
      Bowtie2Args → ADAMSaveAnyArgs
14.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
15.  var disableFastConcat: Boolean
    Definition Classes
      Bowtie2Args → ADAMSaveAnyArgs
16.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
19.  var executable: String
    Definition Classes
      Bowtie2Args
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  var image: String
    Definition Classes
      Bowtie2Args
23.  var indexPath: String
    Definition Classes
      Bowtie2Args
24.  var inputPath: String
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
30.  var outputPath: String
    Definition Classes
      Bowtie2Args → SaveArgs
31.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
32.  var sortFastqOutput: Boolean
    Definition Classes
      Bowtie2Args → ADAMSaveAnyArgs
33.  var stringency: String
34.  var sudo: Boolean
    Definition Classes
      Bowtie2Args
35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  var useDocker: Boolean
    Definition Classes
      Bowtie2Args
38.  var useSingularity: Boolean
    Definition Classes
      Bowtie2Args
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
41.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from ParquetArgs

### Inherited from CramArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.Bowtie2Args

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped